Bug 969499 - problem showing knotes when using razorqt
problem showing knotes when using razorqt
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: kdepim (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ngo Than
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-31 11:05 EDT by Karel Volný
Modified: 2015-02-17 10:24 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 10:24:35 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Karel Volný 2013-05-31 11:05:18 EDT
Description of problem:
I have troubles using knotes when running razorqt (with openbox).
I am unable to display all the notes that were hidden.
In addition, the notes, even if they can be displayed, usually do not show on the taskbar, despite I've checked the appropriate config option.

Version-Release number of selected component (if applicable):
$ rpm -qf /usr/bin/knotes
kdepim-4.10.3-2.fc19.x86_64

How reproducible:
always (with various symptomes)

Steps to Reproduce:
1. log into razorqt, use openbox as your window manager
2. run knotes
3. create a new note
4. hide the note by hitting the escape key
5. rightclick knotes icon and chose to show all notes

Actual results:
the newest note is not shown, or no notes are shown, depending on the weather

Expected results:
all notes are shown

Additional info:
seems other software utilising icons in tray primarily doesn't have any trouble showing their windows when clicked ...
Comment 1 Rex Dieter 2013-05-31 13:00:05 EDT
If you happen to have qt-4.8.4-18.fc19 installed, that's the culprit.

either downgrade to -17, or wait for -19 to come to updates-testing soon,
https://admin.fedoraproject.org/updates/qt-4.8.4-19.fc19

if that helps, then we can dup this against bug #968794
Comment 2 Karel Volný 2013-08-22 12:45:10 EDT
unfortunately, upgrading qt doesn't seem to help

I've just retried with qt-4.8.5-5.fc19.x86_64 and after clicking to show all, I see only 5 notes shown while in kontact windows I see 7 notes exist

now if I retry, I get 7 notes shown

if I hide them and retry, I get only 5, and on the next try I get all 7 of them again ... cool :-)
Comment 3 Fedora End Of Life 2015-01-09 13:16:56 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Fedora End Of Life 2015-02-17 10:24:35 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.